# Class JMEmol

java.lang.Object
jme.JMEmol

public class JMEmol extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`natoms`
`int`
`nbonds`
`boolean`
`needRecentering`
`static final int`
`RBOND`

## Constructor Summary

Constructors
Constructor
Description
`JMEmol(JME jme, JmolAdapterAtomIterator atomIterator, JmolAdapterBondIterator bondIterator)`

## Method Summary

Modifier and Type
Method
Description
`void`
`center()`
`void`
`completeMolecule()`
`void`
`draw(Graphics g)`
`static String`
`findSeparator(String molFile)`
`int`
`getAtomCount()`
`int`
`getBondCount()`
`int[]`
`getBondProperties(int i)`
`int`
`getCharge(int i)`
`int`
`getHydrogenCount(int i)`
`protected void`
`getMinMax()`
`double`
`getX(int i)`
`double`
`getY(int i)`
`void`
`mark()`
`static String`
`nextData(StringTokenizer st, String separator)`
`void`
`numberAtoms()`
`int`
`reactionPart()`
`void`
`restoreXY(double[][] xy)`
`double[][]`
`saveXY()`
`void`
`setAtomColoring(int atom, int n)`
`void`
`setAtomProperties(double xx, double yy, int ahc, int aq)`
`void`
`setBondProperties(int bp0, int bp1, int bp2, int bp3)`
`void`
`setLabel(int n, String s)`
`Dimension`
`shiftToXY(double marginPixelsX, double marginPixelsY)`
shift to an origin and return a dimension

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### natoms

public int natoms

### nbonds

public int nbonds

### needRecentering

public boolean needRecentering

### RBOND

public static final int RBOND

See Also:
  - Constant Field Values

## Constructor Details

### JMEmol

public JMEmol(JME jme, JmolAdapterAtomIterator atomIterator, JmolAdapterBondIterator bondIterator)

## Method Details

### nextData

public static String nextData(StringTokenizer st, String separator)

### findSeparator

public static String findSeparator(String molFile)

### getAtomCount

public int getAtomCount()

### getBondCount

public int getBondCount()

### getX

public double getX(int i)

### getY

public double getY(int i)

### setAtomProperties

public void setAtomProperties(double xx, double yy, int ahc, int aq)

### getHydrogenCount

public int getHydrogenCount(int i)

### getCharge

public int getCharge(int i)

### getBondProperties

public int[] getBondProperties(int i)

### setBondProperties

public void setBondProperties(int bp0, int bp1, int bp2, int bp3)

### completeMolecule

public void completeMolecule()

### center

public void center()

### draw

public void draw(Graphics g)

### getMinMax

protected void getMinMax()

### shiftToXY

public Dimension shiftToXY(double marginPixelsX, double marginPixelsY)
shift to an origin and return a dimension

Parameters:
  `marginPixelsX` -
  `marginPixelsY` -
Returns:
  pixel dimension of framed model

### setAtomColoring

public void setAtomColoring(int atom, int n)

### mark

public void mark()

### numberAtoms

public void numberAtoms()

### setLabel

public void setLabel(int n, String s)

### reactionPart

public int reactionPart()

### saveXY

public double[][] saveXY()

### restoreXY

public void restoreXY(double[][] xy)